List Tags
curl --request GET \
--url https://api.cyberdesk.io/v1/workflow-tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cyberdesk.io/v1/workflow-tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cyberdesk.io/v1/workflow-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_archived": false,
"workflow_count": 123,
"group": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workflow-tags
List Tags
List all workflow tags for the organization.
Tags are returned ordered by their group (ungrouped first), then by order within group. Each tag includes its workflow_count indicating how many workflows use it.
GET
/
v1
/
workflow-tags
List Tags
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Include archived tags in the response
Response
Successful Response
Required string length:
1 - 100Maximum string length:
500Maximum string length:
10Maximum string length:
20Optional group for mutual exclusivity
Number of workflows with this tag (returned in list endpoint)
The group this tag belongs to
Show child attributes
Show child attributes
Was this page helpful?